>From b69ef2ff943372bea7f3b27cdd89e42057d9ab90 Mon Sep 17 00:00:00 2001
From: Nico Huber <nico.huber@secunet.com>
Date: Mon, 20 Mar 2017 14:25:09 +0100
Subject: [PATCH] chipset_enable: Add PCI IDs for discrete Kaby Lake PCHs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

The Kaby Lake "200 Series" PCHs [1,2] share the register layout of their
Skylake "100 Series" siblings.

[1] Intel® 200 Series (including X299) Chipset Family Platform
    Controller Hub (PCH)
    Datasheet - Volume 1 of 2
    Revision 002
    Document Number 335192

[2] Intel® 200 Series (including X299) Chipset Family Platform
    Controller Hub (PCH)
    Datasheet - Volume 2 of 2
    Revision 003
    Document Number 335193

Change-Id: Ida545d69ec998a5d3ae4dc88e76adbb13952bceb
Signed-off-by: Nico Huber <nico.h@gmx.de>
---
 chipset_enable.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/chipset_enable.c b/chipset_enable.c
index 15b760ba..72d5de0d 100644
--- a/chipset_enable.c
+++ b/chipset_enable.c
@@ -1945,6 +1945,12 @@ const struct penable chipset_enables[] = {
 	{0x8086, 0xa245, NT,  "Intel", "C627 Series Chipset Supersku",	enable_flash_c620},
 	{0x8086, 0xa246, NT,  "Intel", "C628 Series Chipset Supersku",	enable_flash_c620},
 	{0x8086, 0xa247, NT,  "Intel", "C620 Series Chipset Supersku",	enable_flash_c620},
+	{0x8086, 0xa2c4, NT,  "Intel", "H270",				enable_flash_pch100},
+	{0x8086, 0xa2c5, NT,  "Intel", "Z270",				enable_flash_pch100},
+	{0x8086, 0xa2c6, NT,  "Intel", "Q270",				enable_flash_pch100},
+	{0x8086, 0xa2c7, NT,  "Intel", "Q250",				enable_flash_pch100},
+	{0x8086, 0xa2c8, NT,  "Intel", "B250",				enable_flash_pch100},
+	{0x8086, 0xa2d2, NT,  "Intel", "X299",				enable_flash_pch100},
 #endif
 	{0},
 };
-- 
2.17.0

